diff --git a/Modules/Segmentation/Watersheds/include/itkIsolatedWatershedImageFilter.h b/Modules/Segmentation/Watersheds/include/itkIsolatedWatershedImageFilter.h
index 0204211400..fa4fa9cf00 100644
--- a/Modules/Segmentation/Watersheds/include/itkIsolatedWatershedImageFilter.h
+++ b/Modules/Segmentation/Watersheds/include/itkIsolatedWatershedImageFilter.h
@@ -37,43 +37,44 @@ namespace itk
  * \ingroup ITKWatersheds
  */
 
-template< typename TInputImage, typename TOutputImage >
-class ITK_TEMPLATE_EXPORT IsolatedWatershedImageFilter:
-  public ImageToImageFilter< TInputImage, TOutputImage >
+template <typename TInputImage, typename TOutputImage>
+class ITK_TEMPLATE_EXPORT IsolatedWatershedImageFilter : public ImageToImageFilter<TInputImage, TOutputImage>
 {
 public:
-  /** Standard class typedefs. */
-  typedef IsolatedWatershedImageFilter                    Self;
-  typedef ImageToImageFilter< TInputImage, TOutputImage > Superclass;
-  typedef SmartPointer< Self >                            Pointer;
-  typedef SmartPointer< const Self >                      ConstPointer;
+  ITK_DISALLOW_COPY_AND_ASSIGN(IsolatedWatershedImageFilter);
+
+  /** Standard class type aliases. */
+  using Self = IsolatedWatershedImageFilter;
+  using Superclass = ImageToImageFilter<TInputImage, TOutputImage>;
+  using Pointer = SmartPointer<Self>;
+  using ConstPointer = SmartPointer<const Self>;
 
   /** Method for creation through the object factory. */
   itkNewMacro(Self);
 
   /** Run-time type information (and related methods).  */
-  itkTypeMacro(IsolatedWatershedImageFilter,
-               ImageToImageFilter);
+  itkTypeMacro(IsolatedWatershedImageFilter, ImageToImageFilter);
 
-  typedef TInputImage                           InputImageType;
-  typedef typename InputImageType::Pointer      InputImagePointer;
-  typedef typename InputImageType::ConstPointer InputImageConstPointer;
-  typedef typename InputImageType::RegionType   InputImageRegionType;
-  typedef typename InputImageType::PixelType    InputImagePixelType;
-  typedef typename InputImageType::IndexType    IndexType;
-  typedef typename InputImageType::SizeType     SizeType;
+  using InputImageType = TInputImage;
+  using InputImagePointer = typename InputImageType::Pointer;
+  using InputImageConstPointer = typename InputImageType::ConstPointer;
+  using InputImageRegionType = typename InputImageType::RegionType;
+  using InputImagePixelType = typename InputImageType::PixelType;
+  using IndexType = typename InputImageType::IndexType;
+  using SizeType = typename InputImageType::SizeType;
 
-  typedef TOutputImage                         OutputImageType;
-  typedef typename OutputImageType::Pointer    OutputImagePointer;
-  typedef typename OutputImageType::RegionType OutputImageRegionType;
-  typedef typename OutputImageType::PixelType  OutputImagePixelType;
+  using OutputImageType = TOutputImage;
+  using OutputImagePointer = typename OutputImageType::Pointer;
+  using OutputImageRegionType = typename OutputImageType::RegionType;
+  using OutputImagePixelType = typename OutputImageType::PixelType;
 
-  typedef typename NumericTraits<InputImagePixelType>::RealType      RealPixelType;
-  typedef Image<RealPixelType, TInputImage::ImageDimension>          RealImageType;
+  using RealPixelType = typename NumericTraits<InputImagePixelType>::RealType;
+  using RealImageType = Image<RealPixelType, TInputImage::ImageDimension>;
 
-  typedef WatershedImageFilter< RealImageType >                          WatershedType;
-  typedef GradientMagnitudeImageFilter< InputImageType, RealImageType > GradientMagnitudeType;
-  void PrintSelf(std::ostream & os, Indent indent) const ITK_OVERRIDE;
+  using WatershedType = WatershedImageFilter<RealImageType>;
+  using GradientMagnitudeType = GradientMagnitudeImageFilter<InputImageType, RealImageType>;
+  void
+  PrintSelf(std::ostream & os, Indent indent) const override;
 
   /** Set seed point 1. This seed will be isolated from Seed2 (if
    *  possible). All pixels connected to this seed will be replaced
@@ -114,7 +115,7 @@ public:
 
 protected:
   IsolatedWatershedImageFilter();
-  ~IsolatedWatershedImageFilter() ITK_OVERRIDE {}
+  ~IsolatedWatershedImageFilter() override = default;
   IndexType m_Seed1;
   IndexType m_Seed2;
 
@@ -131,21 +132,22 @@ protected:
   double m_UpperValueLimit;
 
   // Override since the filter needs all the data for the algorithm
-  void GenerateInputRequestedRegion() ITK_OVERRIDE;
+  void
+  GenerateInputRequestedRegion() override;
 
   // Override since the filter produces the entire dataset
-  void EnlargeOutputRequestedRegion(DataObject *output) ITK_OVERRIDE;
+  void
+  EnlargeOutputRequestedRegion(DataObject * output) override;
 
-  void VerifyInputInformation() ITK_OVERRIDE;
-  void GenerateData() ITK_OVERRIDE;
-
-private:
-  ITK_DISALLOW_COPY_AND_ASSIGN(IsolatedWatershedImageFilter);
+  void
+  VerifyInputInformation() ITKv5_CONST override;
+  void
+  GenerateData() override;
 };
 } // end namespace itk
 
 #ifndef ITK_MANUAL_INSTANTIATION
-#include "itkIsolatedWatershedImageFilter.hxx"
+#  include "itkIsolatedWatershedImageFilter.hxx"
 #endif
 
 #endif
diff --git a/Modules/Segmentation/Watersheds/include/itkIsolatedWatershedImageFilter.hxx b/Modules/Segmentation/Watersheds/include/itkIsolatedWatershedImageFilter.hxx
index f9c47220a7..ad0c05df48 100644
--- a/Modules/Segmentation/Watersheds/include/itkIsolatedWatershedImageFilter.hxx
+++ b/Modules/Segmentation/Watersheds/include/itkIsolatedWatershedImageFilter.hxx
@@ -25,15 +25,14 @@
 namespace itk
 {
 
-template< typename TInputImage, typename TOutputImage >
-IsolatedWatershedImageFilter< TInputImage, TOutputImage >
-::IsolatedWatershedImageFilter()
+template <typename TInputImage, typename TOutputImage>
+IsolatedWatershedImageFilter<TInputImage, TOutputImage>::IsolatedWatershedImageFilter()
 {
-  m_Threshold = NumericTraits< InputImagePixelType >::ZeroValue();
+  m_Threshold = NumericTraits<InputImagePixelType>::ZeroValue();
   m_Seed1.Fill(0);
   m_Seed2.Fill(0);
-  m_ReplaceValue1 = NumericTraits< OutputImagePixelType >::OneValue();
-  m_ReplaceValue2 = NumericTraits< OutputImagePixelType >::ZeroValue();
+  m_ReplaceValue1 = NumericTraits<OutputImagePixelType>::OneValue();
+  m_ReplaceValue2 = NumericTraits<OutputImagePixelType>::ZeroValue();
   m_IsolatedValue = 0.0;
   m_IsolatedValueTolerance = 0.001;
   m_UpperValueLimit = 1.0;
@@ -41,69 +40,63 @@ IsolatedWatershedImageFilter< TInputImage, TOutputImage >
   m_Watershed = WatershedType::New();
 }
 
-template< typename TInputImage, typename TOutputImage >
+template <typename TInputImage, typename TOutputImage>
 void
-IsolatedWatershedImageFilter< TInputImage, TOutputImage >
-::GenerateInputRequestedRegion()
+IsolatedWatershedImageFilter<TInputImage, TOutputImage>::GenerateInputRequestedRegion()
 {
   Superclass::GenerateInputRequestedRegion();
-  if ( this->GetInput() )
-    {
-    InputImagePointer image =
-      const_cast< TInputImage * >( this->GetInput() );
+  if (this->GetInput())
+  {
+    InputImagePointer image = const_cast<TInputImage *>(this->GetInput());
     image->SetRequestedRegionToLargestPossibleRegion();
-    }
+  }
 }
 
-template< typename TInputImage, typename TOutputImage >
+template <typename TInputImage, typename TOutputImage>
 void
-IsolatedWatershedImageFilter< TInputImage, TOutputImage >
-::EnlargeOutputRequestedRegion(DataObject *output)
+IsolatedWatershedImageFilter<TInputImage, TOutputImage>::EnlargeOutputRequestedRegion(DataObject * output)
 {
   Superclass::EnlargeOutputRequestedRegion(output);
   output->SetRequestedRegionToLargestPossibleRegion();
 }
 
-template< typename TInputImage, typename TOutputImage >
+template <typename TInputImage, typename TOutputImage>
 void
-IsolatedWatershedImageFilter< TInputImage, TOutputImage >
-::VerifyInputInformation()
+IsolatedWatershedImageFilter<TInputImage, TOutputImage>::VerifyInputInformation() ITKv5_CONST
 {
   Superclass::VerifyInputInformation();
 
-  const InputImageType *inputImage = this->GetInput();
+  const InputImageType * inputImage = this->GetInput();
 
   const InputImageRegionType region = inputImage->GetRequestedRegion();
 
   // Check that the seeds are valid after the input has had its output
   // information updated
-  if ( !region.IsInside(m_Seed1) )
-    {
+  if (!region.IsInside(m_Seed1))
+  {
     itkExceptionMacro("Seed1 is not within the input image!");
-    }
-  if ( !region.IsInside(m_Seed2) )
-    {
+  }
+  if (!region.IsInside(m_Seed2))
+  {
     itkExceptionMacro("Seed2 is not within the input image!");
-    }
-
+  }
 }
 
-template< typename TInputImage, typename TOutputImage >
+template <typename TInputImage, typename TOutputImage>
 void
-IsolatedWatershedImageFilter< TInputImage, TOutputImage >
-::GenerateData()
+IsolatedWatershedImageFilter<TInputImage, TOutputImage>::GenerateData()
 {
-  const InputImageType *inputImage = this->GetInput();
-  OutputImageType      *outputImage = this->GetOutput();
-  OutputImageRegionType region = outputImage->GetRequestedRegion();
+  const InputImageType * inputImage = this->GetInput();
+  OutputImageType *      outputImage = this->GetOutput();
+  OutputImageRegionType  region = outputImage->GetRequestedRegion();
 
   // Set up the pipeline
-  m_GradientMagnitude->SetInput (inputImage);
+  m_GradientMagnitude->SetInput(inputImage);
 
   // Set up the Watershed
-  m_Watershed->SetInput( m_GradientMagnitude->GetOutput() );
-  m_Watershed->SetThreshold( m_Threshold );
-  m_Watershed->SetLevel( m_UpperValueLimit );
+  m_Watershed->SetInput(m_GradientMagnitude->GetOutput());
+  m_Watershed->SetThreshold(m_Threshold);
+  m_Watershed->SetLevel(m_UpperValueLimit);
 
   // Allocate the output
   this->AllocateOutputs();
@@ -112,54 +105,51 @@ IsolatedWatershedImageFilter< TInputImage, TOutputImage >
   double upper = m_UpperValueLimit;
   double guess = upper;
 
-  const unsigned int maximumIterationsInBinarySearch =
-    static_cast< unsigned int >(
-      std::log( ( static_cast< float >( upper ) - static_cast< float >( lower ) )
-               / static_cast< float >( m_IsolatedValueTolerance ) )  / std::log(2.0) );
+  const auto maximumIterationsInBinarySearch = static_cast<unsigned int>(
+    std::log((static_cast<float>(upper) - static_cast<float>(lower)) / static_cast<float>(m_IsolatedValueTolerance)) /
+    std::log(2.0));
 
-  const float progressWeight = 1.0f / static_cast< float >( maximumIterationsInBinarySearch + 2 );
+  const float progressWeight = 1.0f / static_cast<float>(maximumIterationsInBinarySearch + 2);
   float       cumulatedProgress = 0.0f;
 
   IterationReporter iterate(this, 0, 1);
 
   // Do a binary search to find an upper waterlevel that separates the
   // two seeds.
-  while ( lower + m_IsolatedValueTolerance < guess )
-    {
+  while (lower + m_IsolatedValueTolerance < guess)
+  {
     ProgressReporter progress(this, 0, region.GetNumberOfPixels(), 100, cumulatedProgress, progressWeight);
     cumulatedProgress += progressWeight;
-    m_Watershed->SetLevel (guess);
-    m_Watershed->Update ();
-    if ( m_Watershed->GetOutput()->GetPixel(m_Seed1) == m_Watershed->GetOutput()->GetPixel(m_Seed2) )
-      {
+    m_Watershed->SetLevel(guess);
+    m_Watershed->Update();
+    if (m_Watershed->GetOutput()->GetPixel(m_Seed1) == m_Watershed->GetOutput()->GetPixel(m_Seed2))
+    {
       upper = guess;
-      }
+    }
     else
-      {
+    {
       lower = guess;
-      }
-    guess = ( upper + lower ) / 2;
-    iterate.CompletedStep();
     }
+    guess = (upper + lower) / 2;
+    iterate.CompletedStep();
+  }
 
   // If the watershed basins are not separated or if the upper/lower
   // threshold were not valid, then use lower.
-  if (  m_Watershed->GetOutput()->GetBufferedRegion() != region
-        || m_Watershed->GetOutput()->GetPixel(m_Seed1) ==
-        m_Watershed->GetOutput()->GetPixel(m_Seed2) )
-    {
-    m_Watershed->SetLevel (lower);
-    m_Watershed->Update ();
-    }
+  if (m_Watershed->GetOutput()->GetBufferedRegion() != region ||
+      m_Watershed->GetOutput()->GetPixel(m_Seed1) == m_Watershed->GetOutput()->GetPixel(m_Seed2))
+  {
+    m_Watershed->SetLevel(lower);
+    m_Watershed->Update();
+  }
 
   // Now produce an output image with the two seeded basins labeled
 
   ProgressReporter progress(this, 0, region.GetNumberOfPixels(), 100, cumulatedProgress, progressWeight);
 
-  ImageRegionIterator< OutputImageType > ot =
-    ImageRegionIterator< OutputImageType >(outputImage, region);
-  ImageRegionIterator< typename WatershedType::OutputImageType > it =
-    ImageRegionIterator< typename WatershedType::OutputImageType >(m_Watershed->GetOutput(), region);
+  ImageRegionIterator<OutputImageType> ot = ImageRegionIterator<OutputImageType>(outputImage, region);
+  ImageRegionIterator<typename WatershedType::OutputImageType> it =
+    ImageRegionIterator<typename WatershedType::OutputImageType>(m_Watershed->GetOutput(), region);
 
   IdentifierType seed1Label = m_Watershed->GetOutput()->GetPixel(m_Seed1);
   IdentifierType seed2Label = m_Watershed->GetOutput()->GetPixel(m_Seed2);
@@ -167,55 +157,46 @@ IsolatedWatershedImageFilter< TInputImage, TOutputImage >
 
   it.GoToBegin();
   ot.GoToBegin();
-  while ( !it.IsAtEnd() )
-    {
+  while (!it.IsAtEnd())
+  {
     value = it.Get();
-    if ( value == seed1Label )
-      {
+    if (value == seed1Label)
+    {
       ot.Set(m_ReplaceValue1);
-      }
-    else if ( value == seed2Label )
-      {
+    }
+    else if (value == seed2Label)
+    {
       ot.Set(m_ReplaceValue2);
-      }
+    }
     else
-      {
-      ot.Set(NumericTraits< OutputImagePixelType >::ZeroValue());
-      }
+    {
+      ot.Set(NumericTraits<OutputImagePixelType>::ZeroValue());
+    }
     ++it;
     ++ot;
     progress.CompletedPixel(); // potential exception thrown here
-    }
+  }
   m_IsolatedValue = lower;
   iterate.CompletedStep();
 }
 
-template< typename TInputImage, typename TOutputImage >
+template <typename TInputImage, typename TOutputImage>
 void
-IsolatedWatershedImageFilter< TInputImage, TOutputImage >
-::PrintSelf(std::ostream & os, Indent indent) const
+IsolatedWatershedImageFilter<TInputImage, TOutputImage>::PrintSelf(std::ostream & os, Indent indent) const
 {
   this->Superclass::PrintSelf(os, indent);
-  os << indent << "Threshold: "
-     << m_Threshold
-     << std::endl;
-  os << indent << "UpperValueLimit: "
-     << m_UpperValueLimit
+  os << indent << "Threshold: " << m_Threshold << std::endl;
+  os << indent << "UpperValueLimit: " << m_UpperValueLimit << std::endl;
+  os << indent
+     << "ReplaceValue1: " << static_cast<typename NumericTraits<OutputImagePixelType>::PrintType>(m_ReplaceValue1)
      << std::endl;
-  os << indent << "ReplaceValue1: "
-     << static_cast< typename NumericTraits< OutputImagePixelType >::PrintType >( m_ReplaceValue1 )
-     << std::endl;
-  os << indent << "ReplaceValue2: "
-     << static_cast< typename NumericTraits< OutputImagePixelType >::PrintType >( m_ReplaceValue2 )
+  os << indent
+     << "ReplaceValue2: " << static_cast<typename NumericTraits<OutputImagePixelType>::PrintType>(m_ReplaceValue2)
      << std::endl;
   os << indent << "Seed1: " << m_Seed1 << std::endl;
   os << indent << "Seed2: " << m_Seed2 << std::endl;
-  os << indent << "IsolatedValue: "
-     << m_IsolatedValue
-     << std::endl;
-  os << indent << "IsolatedValueTolerance: "
-     << m_IsolatedValueTolerance
-     << std::endl;
+  os << indent << "IsolatedValue: " << m_IsolatedValue << std::endl;
+  os << indent << "IsolatedValueTolerance: " << m_IsolatedValueTolerance << std::endl;
 }
 
 } // end namespace itk
diff --git a/Modules/Segmentation/Watersheds/include/itkMorphologicalWatershedFromMarkersImageFilter.h b/Modules/Segmentation/Watersheds/include/itkMorphologicalWatershedFromMarkersImageFilter.h
index 7098f76dad..41390bd02c 100644
--- a/Modules/Segmentation/Watersheds/include/itkMorphologicalWatershedFromMarkersImageFilter.h
+++ b/Modules/Segmentation/Watersheds/include/itkMorphologicalWatershedFromMarkersImageFilter.h
@@ -77,34 +77,35 @@ namespace itk
  * \ingroup ImageEnhancement  MathematicalMorphologyImageFilters
  * \ingroup ITKWatersheds
  */
-template< typename TInputImage, typename TLabelImage >
-class ITK_TEMPLATE_EXPORT MorphologicalWatershedFromMarkersImageFilter:
-  public ImageToImageFilter< TInputImage, TLabelImage >
+template <typename TInputImage, typename TLabelImage>
+class ITK_TEMPLATE_EXPORT MorphologicalWatershedFromMarkersImageFilter
+  : public ImageToImageFilter<TInputImage, TLabelImage>
 {
 public:
-  /** Standard class typedefs. */
-  typedef MorphologicalWatershedFromMarkersImageFilter   Self;
-  typedef ImageToImageFilter< TInputImage, TLabelImage > Superclass;
-  typedef SmartPointer< Self >                           Pointer;
-  typedef SmartPointer< const Self >                     ConstPointer;
-
-  /** Some convenient typedefs. */
-  typedef TInputImage                           InputImageType;
-  typedef TLabelImage                           LabelImageType;
-  typedef typename InputImageType::Pointer      InputImagePointer;
-  typedef typename InputImageType::ConstPointer InputImageConstPointer;
-  typedef typename InputImageType::RegionType   InputImageRegionType;
-  typedef typename InputImageType::PixelType    InputImagePixelType;
-  typedef typename LabelImageType::Pointer      LabelImagePointer;
-  typedef typename LabelImageType::ConstPointer LabelImageConstPointer;
-  typedef typename LabelImageType::RegionType   LabelImageRegionType;
-  typedef typename LabelImageType::PixelType    LabelImagePixelType;
-
-  typedef typename LabelImageType::IndexType IndexType;
+  ITK_DISALLOW_COPY_AND_ASSIGN(MorphologicalWatershedFromMarkersImageFilter);
+
+  /** Standard class type aliases. */
+  using Self = MorphologicalWatershedFromMarkersImageFilter;
+  using Superclass = ImageToImageFilter<TInputImage, TLabelImage>;
+  using Pointer = SmartPointer<Self>;
+  using ConstPointer = SmartPointer<const Self>;
+
+  /** Some convenient type alias. */
+  using InputImageType = TInputImage;
+  using LabelImageType = TLabelImage;
+  using InputImagePointer = typename InputImageType::Pointer;
+  using InputImageConstPointer = typename InputImageType::ConstPointer;
+  using InputImageRegionType = typename InputImageType::RegionType;
+  using InputImagePixelType = typename InputImageType::PixelType;
+  using LabelImagePointer = typename LabelImageType::Pointer;
+  using LabelImageConstPointer = typename LabelImageType::ConstPointer;
+  using LabelImageRegionType = typename LabelImageType::RegionType;
+  using LabelImagePixelType = typename LabelImageType::PixelType;
+
+  using IndexType = typename LabelImageType::IndexType;
 
   /** ImageDimension constants */
-  itkStaticConstMacro(ImageDimension, unsigned int,
-                      TInputImage::ImageDimension);
+  static constexpr unsigned int ImageDimension = TInputImage::ImageDimension;
 
   /** Standard New method. */
   itkNewMacro(Self);
@@ -113,27 +114,30 @@ public:
   itkTypeMacro(MorphologicalWatershedFromMarkersImageFilter, ImageToImageFilter);
 
   /** Set the marker image */
-  void SetMarkerImage(const TLabelImage *input)
+  void
+  SetMarkerImage(const TLabelImage * input)
   {
     // Process object is not const-correct so the const casting is required.
-    this->SetNthInput( 1, const_cast< TLabelImage * >( input ) );
+    this->SetNthInput(1, const_cast<TLabelImage *>(input));
   }
 
   /** Get the marker image */
-  const LabelImageType * GetMarkerImage() const
+  const LabelImageType *
+  GetMarkerImage() const
   {
-    return itkDynamicCastInDebugMode< LabelImageType * >
-      (const_cast< DataObject * >( this->ProcessObject::GetInput(1) ) );
+    return itkDynamicCastInDebugMode<LabelImageType *>(const_cast<DataObject *>(this->ProcessObject::GetInput(1)));
   }
 
   /** Set the input image */
-  void SetInput1(const TInputImage *input)
+  void
+  SetInput1(const TInputImage * input)
   {
     this->SetInput(input);
   }
 
   /** Set the marker image */
-  void SetInput2(const TLabelImage *input)
+  void
+  SetInput2(const TLabelImage * input)
   {
     this->SetMarkerImage(input);
   }
@@ -159,33 +163,35 @@ public:
 
 protected:
   MorphologicalWatershedFromMarkersImageFilter();
-  ~MorphologicalWatershedFromMarkersImageFilter() ITK_OVERRIDE {}
-  void PrintSelf(std::ostream & os, Indent indent) const ITK_OVERRIDE;
+  ~MorphologicalWatershedFromMarkersImageFilter() override = default;
+  void
+  PrintSelf(std::ostream & os, Indent indent) const override;
 
   /** MorphologicalWatershedFromMarkersImageFilter needs to request the
    * entire input images.
    */
-  void GenerateInputRequestedRegion() ITK_OVERRIDE;
+  void
+  GenerateInputRequestedRegion() override;
 
   /** This filter will enlarge the output requested region to produce
    * all of the output.
    * \sa ProcessObject::EnlargeOutputRequestedRegion() */
-  void EnlargeOutputRequestedRegion( DataObject *itkNotUsed(output) ) ITK_OVERRIDE;
+  void
+  EnlargeOutputRequestedRegion(DataObject * itkNotUsed(output)) override;
 
   /** The filter is single threaded. */
-  void GenerateData() ITK_OVERRIDE;
+  void
+  GenerateData() override;
 
 private:
-  ITK_DISALLOW_COPY_AND_ASSIGN(MorphologicalWatershedFromMarkersImageFilter);
-
-  bool m_FullyConnected;
+  bool m_FullyConnected{ false };
 
-  bool m_MarkWatershedLine;
+  bool m_MarkWatershedLine{ true };
 }; // end of class
 } // end namespace itk
 
 #ifndef ITK_MANUAL_INSTANTIATION
-#include "itkMorphologicalWatershedFromMarkersImageFilter.hxx"
+#  include "itkMorphologicalWatershedFromMarkersImageFilter.hxx"
 #endif
 
 #endif
